import "@styles/base.css";
import "@fontsource/karla";
import "@fontsource/inter";
import "@fontsource/ibm-plex-sans";

import type { GlobalProvider } from "@ladle/react";
import { ActionBox } from "@components/ActionBox";

export const Provider: GlobalProvider = ({ children, storyMeta }) => {
  return (
    <div className="fs-flex fs-flex-col fs-gap-8">
      {storyMeta?.description && storyMeta?.descriptionTitle && (
        <ActionBox
          title={storyMeta?.descriptionTitle}
          description={storyMeta?.description}
        />
      )}
      {children}
    </div>
  );
};
