import { useContext } from "react";
import type { PropsWithChildren } from "react";
import { LinkContext } from "@contexts/LinkContext";

export interface LinkProps {
  to?: string;
  [restProp: string]: unknown;
}

export function Link({ to, children, ...rest }: PropsWithChildren<LinkProps>) {
  const { linkRenderFn } = useContext(LinkContext);
  return to ? linkRenderFn(children, to, rest) : <>{children}</>;
}
