import clsx from "clsx";

export interface OverlayTagProps {
  text: string;
  className?: string;
  variant?: "left" | "right";
}

export function OverlayTag({
  text,
  className,
  variant = "left",
}: OverlayTagProps) {
  const classes = {
    left: "fs-z-10 fs-py-2.5 fs-pl-3 fs-pr-3.5 fs-rounded-tr-full fs-rounded-br-full fs-leading-[18px]",
    right:
      "fs-z-30 fs-py-0.5 md:fs-py-1 fs-px-2.5 fs-rounded-tl-full fs-rounded-bl-full fs-leading-4 opacity-50",
  };
  return (
    <div
      className={clsx(
        "fs-bg-grey-900/50 fs-flex fs-items-center",
        classes[variant],
        className,
      )}
    >
      <span className="fs-font-plex fs-text-white fs-text-xs fs-font-medium">
        {text}
      </span>
    </div>
  );
}
