import clsx from "clsx";

export interface SubFooterProps {
  alt?: string;
  src: string;
  position?: "left" | "center" | "right";
  className?: string;
}

export function SubFooter({
  alt,
  src,
  position = "left",
  className,
}: SubFooterProps) {
  const POSITION_MAPPING: Record<string, string> = {
    left: "fs-justify-start",
    center: "fs-justify-center",
    right: "fs-justify-end",
  };
  return (
    <div
      className={clsx(
        "fs-hidden xl:fs-flex fs-w-full fs-py-8",
        POSITION_MAPPING[position],
        className,
      )}
    >
      <img className="fs-max-w-2/3 fs-max-h-96" src={src} alt={alt} />
    </div>
  );
}
