import { ImageSlider } from "@components/ImageSlider";
import type { Story, StoryDefault } from "@ladle/react";
import type { IImage } from "@interfaces/IImage";

interface SliderConfigProps {
  withLightbox?: boolean;
  showTags?: boolean;
}

const SLIDES: IImage[] = [
  {
    id: "1",
    src: "https://picsum.photos/id/1002/1000/600",
    subCaption: "Nullam et turpis vitae arcu consequat molestie ac eget ante",
    caption: "Lorem ipsum dolor sit amet, consectetur adipiscing elit.",
    tag: "Nullam et turpis",
    width: 1000,
    height: 600,
  },
  {
    id: "2",
    src: "https://picsum.photos/id/1003/400/600",
    subCaption: "Nullam et turpis vitae arcu consequat molestie ac eget ante",
    caption:
      "Sed sed justo eu leo luctus porttitor. Etiam mattis nunc vel convallis fringilla. Etiam varius massa dui, aliquam tempus orci suscipit at.",
    tag: "Nullam et turpis",
    width: 400,
    height: 600,
  },
  {
    id: "3",
    src: "https://picsum.photos/id/1005/1000/600",
    subCaption: "Nullam et turpis vitae arcu consequat molestie ac eget ante",
    caption:
      "Sed sed justo eu leo luctus porttitor. Etiam mattis nunc vel convallis fringilla. Etiam varius massa dui, aliquam tempus orci suscipit at.",
    tag: "Nullam et turpis",
    width: 1000,
    height: 600,
  },
  {
    id: "4",
    src: "https://picsum.photos/id/237/400/600",
    subCaption: "Nullam et turpis vitae arcu consequat molestie ac eget ante",
    caption: "Lorem ipsum dolor sit amet, consectetur adipiscing elit.",
    tag: "Nullam et turpis",
    width: 400,
    height: 600,
  },
  {
    id: "5",
    src: "https://picsum.photos/id/1015/1000/600",
    subCaption: "Nullam et turpis vitae arcu consequat molestie ac eget ante",
    caption: "Lorem ipsum dolor sit amet, consectetur adipiscing elit.",
    tag: "Nullam et turpis",
    width: 1000,
    height: 600,
  },
  {
    id: "6",
    src: "https://picsum.photos/id/1023/1000/600",
    subCaption: "Nullam et turpis vitae arcu consequat molestie ac eget ante",
    caption: "Lorem ipsum dolor sit amet, consectetur adipiscing elit.",
    tag: "Nullam et turpis",
    width: 1000,
    height: 600,
  },
  {
    id: "7",
    src: "https://picsum.photos/id/1025/1000/600",
    subCaption: "Nullam et turpis vitae arcu consequat molestie ac eget ante",
    caption:
      "Sed sed justo eu leo luctus porttitor. Etiam mattis nunc vel convallis fringilla. Etiam varius massa dui, aliquam tempus orci suscipit at.",
    tag: "Nullam et turpis",
    width: 1000,
    height: 600,
  },
  {
    id: "8",
    src: "https://picsum.photos/id/102/1000/600",
    subCaption: "Nullam et turpis vitae arcu consequat molestie ac eget ante",
    caption: "Lorem ipsum dolor sit amet, consectetur adipiscing elit.",
    tag: "Nullam et turpis",
    width: 1000,
    height: 600,
  },
];

export const ImageSliderStory: Story<SliderConfigProps> = ({
  withLightbox,
  showTags,
}: SliderConfigProps) => {
  return (
    <div className="fs-w-full fs-mb-10 xl:fs-mb-0">
      <ImageSlider
        title="My Gallery"
        withLightbox={withLightbox}
        showTags={showTags}
        images={SLIDES}
      />
    </div>
  );
};

ImageSliderStory.args = {
  withLightbox: false,
  showTags: true,
};

export default {
  title: "Molecules",
} satisfies StoryDefault;

ImageSliderStory.storyName = "Image Slider";
