import { TableOfContents, Headline } from "@components/TableOfContents";
import { Story, StoryDefault } from "@ladle/react";

export const TableOfContentsStory: Story = () => (
  <>
    <div className="fs-w-3/12">
      <TableOfContents>
        <Headline target="#section1">Introduction</Headline>
        <Headline target="#section2">This is a page index menu</Headline>
        <Headline target="#section3">For the desktop view</Headline>
        <Headline target="#section4">Generated from subheadings</Headline>
        <Headline target="#section5">It sticks on top while scrolling</Headline>
        <Headline target="#section6">Click one of theses lines</Headline>
        <Headline target="#section7">Jumps to the section</Headline>
        <Headline target="#section8">This gives better overview</Headline>
        <Headline target="#section9">And access to the</Headline>
      </TableOfContents>
    </div>
    <div className="fs-w-3/12 fs-mt-12">
      <TableOfContents ctaCaption="Click me">
        <Headline target="#section1">Introduction</Headline>
        <Headline target="#section2">This is a page index menu</Headline>
        <Headline target="#section3">For the desktop view</Headline>
        <Headline target="#section4">Generated from subheadings</Headline>
      </TableOfContents>
    </div>
  </>
);

export default {
  title: "Molecules",
} satisfies StoryDefault;
TableOfContentsStory.storyName = "Table of Contents";
TableOfContentsStory.meta = {
  descriptionTitle: "Table of Contents",
  description:
    "This component shows a Table of Content section, which can be rendered in a sidebar (e.g. inside of an Article). It is a stateful component (it will remember the current/active headline which has been clicked on). Optionally it can also have a button/CTA at the bottom.",
};
